-[ c library "miscfn.c", header "miscfn.h" ]

+[ public types ]
#include <stdarg.h>
+[end]

-[headers, begin]
	!stdlib !string !stdio
-[end]


-[cbuffer_t: public buffer [1000] of char ]


-[public] void cbuffer_putstr(cbuffer_t *cb,char *xb)
{
	int j;
	for(j=0;xb[j];j++)
		cbuffer_append(cb, xb[j]);
}

-[ unused symbol cbuffer_collectd ]

-[import mprintf library]

-[public] void cbprintf(cbuffer_t *cb,char *fmt, ...)
{
	va_list ap;
	va_start(ap,fmt);
	vgenprintf(write_cbuffer, cb,fmt, ap);
	va_end(ap);
}

-[private] void write_cbuffer(void *arg,const char* buf,size_t len)
{
	size_t i;
	for(i=0;i<len;i++)
		cbuffer_append(arg, buf[i]);
}

-[public] void remove_spaces(char *data) {
	int i,j;
	i= 0;
	for(j=0;data[j];j++)
		if (data[j]!=' ') data[i++]= data[j];
	data[i] = 0;
}

