-[ program "testf.cc" ]

-[ headers, begin ]
	!fx flight_log_table
-[ end ]



class MyFoxApp : public FXApp {
	FXDECLARE(MyFoxApp)
public:
     	enum { ID_FIRSTCMD= FXApp::ID_LAST, };
public:
	MyFoxApp(const FXString &name, const FXString &vendor) 
		: FXApp(name, vendor) { }
	MyFoxApp() : FXApp() { }
};

MyFoxApp *foxapp;

FXDEFMAP(MyFoxApp)  MyFoxAppMap[]= {  };
FXIMPLEMENT(MyFoxApp, FXApp, 
	MyFoxAppMap, ARRAYNUMBER(MyFoxAppMap))



int main(int argc,char **argv)
{
	FXMainWindow *main_window;
	flight_log_table *table;

	foxapp= new MyFoxApp("Test", "BlackSys");
	foxapp->init(argc,argv);

	main_window= new FXMainWindow(foxapp,
		"HELLO!!", NULL, NULL, DECOR_ALL,
		0, 0, 600, 600);

	table= new flight_log_table(main_window,
		FRAME_NORMAL | LAYOUT_FILL_X | LAYOUT_FILL_Y);
	table->editable= 1;


	foxapp->create();
	main_window->show(PLACEMENT_SCREEN);
	foxapp->run();
	return 0;
}

-[ for each word, begin ]
	-[ words ]
		date atype areg depplc arrplc  rmk se me
	-[ output ]
		void flight_log_table::onccr_%w(char *v,int idx)
			{ begin_update(); S.%w[idx].set(v); end_update(); }
-[ end ]

-[ for each word, begin ]
	-[ words ]
		deptm arrtm mptime ldg_day ldg_ngt opngt
		opifr ophood fpic fcop fdual finst synth
	-[output]
		void flight_log_table::onccr_%w(int v,int idx)
			{ begin_update(); S.%w[idx].set(v); end_update(); }
-[end]






int flight_log_table::show_if_zero(int row,int col)
{
	return cell_defs[row][col].show_if_zero;
}