#!/bin/sh

HM=$PWD
VER=fixtable-1.0

DEST=/tmp/ZVX/$VER

rm -Rf $DEST
mkdir -p $DEST || exit 1
cp -R src $DEST || exit 1
mkdir $DEST/build || exit 1
cp build/jjcool $DEST/build || exit 1
cp mkdist.sh $DEST
cp COPYRIGHT COPYING build.sh README-DIST $DEST
cd $DEST
cd ..
tar czf $HM/$VER-src.tgz $VER

cd $HM

rm -Rf $DEST
mkdir -p $DEST || exit 1
mkdir $DEST/build || exit 1
cp build/*.c build/*.cc build/*.h $DEST/build || exit 1
cp build/jjcool $DEST/build || exit 1
cp COPYRIGHT $DEST
cp COPYING $DEST
cp build.sh $DEST/build
cp README-DIST $DEST
cd $DEST/build
for x in *.cc *.h *.c; do
	mv $x tmpf
	echo '/*' > $x
	cat ../COPYRIGHT >> $x
	echo '*/' >> $x
	cat tmpf >> $x
done

rm tmpf

cd ..
cd ..
tar czf $HM/$VER-dist.tgz $VER

